Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 529800 - media-gfx/hp2xx-3.4.4: fails to build
Summary: media-gfx/hp2xx-3.4.4: fails to build
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 408307
  Show dependency tree
 
Reported: 2014-11-19 01:12 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2018-04-14 21:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,9.06 KB, text/plain)
2014-11-19 01:18 UTC, Ian Stakenvicius
Details
hp2xx-3.4.4-r3.patch (hp2xx-3.4.4-r3.patch,3.54 KB, patch)
2015-03-27 20:04 UTC, Konstantin Münning
Details | Diff
hp2xx-3.4.4-r3.ebuild (hp2xx-3.4.4-r3.ebuild,1.62 KB, text/plain)
2015-03-27 20:05 UTC, Konstantin Münning
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2014-11-19 01:12:39 UTC
https://tinderboxlogs.s3.amazonaws.com/tbamd64.excelsior.flameeyes.eu/media-gfx%3Ahp2xx-3.4.4%3A20141110-222646.html

Portage 2.2.14_rc1 (python 2.7.8-final-0, default/linux/amd64/13.0, gcc-4.9.1-asneeded, glibc-2.20, 3.15.5-hardened-r2 x86_64)
=================================================================
System uname: Linux-3.15.5-hardened-r2-x86_64-AMD_Opteron-TM-_Processor_6272-with-gentoo-2.2
KiB Mem:    65962672 total,  16391156 free
KiB Swap:          0 total,         0 free
Timestamp of tree: Unknown
ld ld di GNU (Gentoo 2.24 p1.4) 2.24
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p53
dev-java/java-config:     2.2.0
dev-lang/perl:            5.18.2-r2
dev-lang/python:          2.7.8, 3.2.5-r6, 3.3.5-r1, 3.4.1
dev-util/ccache:          3.1.9
dev-util/cmake:           2.8.12.2-r2
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.13.1
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.4_p6-r1, 1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.2, 1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.6.4, 4.7.4, 4.8.3, 4.9.1
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           4.1
sys-kernel/linux-headers: 3.17 (virtual/os-headers)
sys-libs/glibc:           2.20
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -ggdb -march=native -ftracer -frecord-gcc-switches"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/entropy /opt/openjms/config /usr/share/bufrtables /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/themes/oxygen-gtk/gtk-2.0 /var/bind /var/lib/hsqldb /var/lib/neatx/home /var/spool/torque /var/yp/Makefile"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/games/angband/edit/ /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -ggdb -march=native -ftracer -frecord-gcc-switches"
DISTDIR="/var/cache/portage/distfiles"
FCFLAGS="-O2 -pipe -ggdb -march=native -frecord-gcc-switches"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict test test-fail-continue unknown-features-warn unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe -ggdb -march=native -frecord-gcc-switches"
GENTOO_MIRRORS="http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://gentoo.mirrors.hoobly.com/ http://gentoo.llarian.net/"
LANG="en_US.utf8"
LC_ALL="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j24"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/var/cache/tinderbox/tree"
PORTDIR_OVERLAY=""
SYNC="rsync://excelsior.flameeyes.eu/gentoo-portage"
USE="3dnow 3dnowex acl amd64 berkdb blas bzip2 cli cracklib crypt cxx doc dri emacs ffmpeg fortran freetype iconv icu intl introspection ipv6 lapack mmx modules multilib ncurses nls nptl openmp pam pax_kernel pcre pdf plasma qt3support readline semantic-desktop session snmp sse sse2 sse3 sse4 ssl ssse3 tcmalloc tcpd truetype udev unicode vhosts xft zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19" USERLAND="GNU" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Ian Stakenvicius gentoo-dev 2014-11-19 01:18:13 UTC
Created attachment 389674 [details]
build.log

Autoattach of build.log -- if there are any issues with this file please add bug to tracker bug 527870
Comment 2 Konstantin Münning 2014-11-20 23:22:39 UTC
Hmm, strange thing, when generating the documentation it stumbles over the author's user name `daveg'. I'l look into the syntax of that file and make a patch, probably there was some change in the syntax of the generator or it got more strict or whatever.
Comment 3 Toralf Förster gentoo-dev 2015-01-04 10:09:01 UTC
cp hp2xx /var/tmp/portage/media-gfx/hp2xx-3.4.4/image//usr/bin
chmod 755 /var/tmp/portage/media-gfx/hp2xx-3.4.4/image//usr/bin/hp2xx
cp ../doc/hp2xxinf.tex hp2xx.texinfo
makeinfo hp2xx.texinfo
hp2xx.texinfo:95: unknown command `daveg'
Makefile:296: recipe for target 'hp2xx.info' failed
make[1]: *** [hp2xx.info] Error 1
make[1]: Leaving directory '/var/tmp/portage/media-gfx/hp2xx-3.4.4/work/hp2xx-3.4.4/sources'
Makefile:9: recipe for target 'install' failed
make: *** [install] Error 2
 * ERROR: media-gfx/hp2xx-3.4.4::gentoo failed (install phase):
 *   (no error message)
 * 
 * Call stack:
 *     ebuild.sh, line  93:  Called src_install
 *   environment, line 1977:  Called die
 * The specific snippet of code:
 *       make prefix="${D}/usr" mandir="${D}/usr/share/man" infodir="${D}/usr/share/info" install || die
 * 
 * If you need support, post the output of `emerge --info '=media-gfx/hp2xx-3.4.4::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-gfx/hp2xx-3.4.4::gentoo'`.
 * The complete build log is located at '/var/log/portage/media-gfx:hp2xx-3.4.4:20150104-070517.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/media-gfx/hp2xx-3.4.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/hp2xx-3.4.4/temp/environment'.
 * Working directory: '/var/tmp/portage/media-gfx/hp2xx-3.4.4/work/hp2xx-3.4.4'
 * S: '/var/tmp/portage/media-gfx/hp2xx-3.4.4/work/hp2xx-3.4.4'

 * GNU info directory index is up-to-date.

 * IMPORTANT: config file '/etc/ppp/options' needs updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.


This chroot image is located at a hardened amd64 host.

Portage 2.2.15 (python 2.7.9-final-0, default/linux/amd64/13.0, gcc-4.8.4, glibc-2.20-r1, 3.17.7-hardened-r1 x86_64)
=================================================================
System uname: Linux-3.17.7-hardened-r1-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    16166924 total,   1541552 free
KiB Swap:   16777212 total,  16766908 free
Timestamp of tree: Sun, 04 Jan 2015 05:45:01 +0000
sh bash 4.3_p33
ld GNU ld (Gentoo 2.24 p1.4) 2.24
app-shells/bash:          4.3_p33
dev-lang/perl:            5.20.1-r4
dev-lang/python:          2.7.9-r1, 3.3.5-r1
dev-util/cmake:           3.0.2
dev-util/pkgconfig:       0.28-r2
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.13.6
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.4
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.4
sys-devel/make:           4.1-r1
sys-kernel/linux-headers: 3.18 (virtual/os-headers)
sys-libs/glibc:           2.20-r1
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/qpsmtpd/plugins"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--nospinner --tree --quiet-build --deep --jobs 1"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.leaseweb.com/gentoo/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://gd.tuwien.ac.at/opsys/linux/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="acl amd64 berkdb bindist bzip2 cli cracklib crypt cxx dri fortran gdbm iconv ipv6 mbox mmx modules multilib ncurses nls nptl openmp pam pax_kernel pcre readline session sse sse2 ssl tcpd unicode zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 4 Konstantin Münning 2015-01-04 19:26:21 UTC
(In reply to Toralf Förster from comment #3)

> makeinfo hp2xx.texinfo
> hp2xx.texinfo:95: unknown command `daveg'

This is the same problem as above. As I'm not familiar with the format of texinfo files I couldn't see why makeinfo thinks daveg is a command. Due to lack of time I was not yet able to go into it further. Of course I could remove the reference to the author but this wouldn't be nice. So if anyone here is familiar with texinfo please take a look into hp2xx.texinfo around line 95 and tell me what the problem is. I'd be happy to provide the patch for this.
Comment 5 Martin Kroeker 2015-03-15 14:10:45 UTC
(In reply to Konstantin Münning from comment #4)
> (In reply to Toralf Förster from comment #3)
> 
> > makeinfo hp2xx.texinfo
> > hp2xx.texinfo:95: unknown command `daveg'
> 
> This is the same problem as above. As I'm not familiar with the format of
> texinfo files I couldn't see why makeinfo thinks daveg is a command. Due to
> lack of time I was not yet able to go into it further. Of course I could
> remove the reference to the author but this wouldn't be nice. So if anyone
> here is familiar with texinfo please take a look into hp2xx.texinfo around
> line 95 and tell me what the problem is. I'd be happy to provide the patch
> for this.

Upstream author here, hi.
For all I know this could be due to a change in makeinfo 5.0 that made it parse 
raw tex blocks for commands. The solution then appears to be to replace the
current "\@" construct for the "at" sign in my email address by a "@@", which
will still TeX properly and should be ignored by the new makeinfo.
(Did not notice this as my distro of choice appears to carry an old version of makeinfo still)
Comment 6 Ian Delaney (RETIRED) gentoo-dev 2015-03-27 01:51:26 UTC
*texinfo-4.13 (22 Oct 2008)
*texinfo-5.1 (31 Mar 2013)

(Did not notice this as my distro of choice appears to carry an old version of makeinfo still)

possibly means that "distro of choice" is using a texinfo version older than Mar 2013. What can I say??

I suggest you d'grade to texinfo-4.13-r2.ebuild and re-try.
Comment 7 Konstantin Münning 2015-03-27 20:04:26 UTC
Created attachment 399896 [details, diff]
hp2xx-3.4.4-r3.patch

(In reply to Martin Kroeker from comment #5)

Martin, thank you for the advice. I extended the patch for this package to include your suggested correction. It compiles well with texinfo-5.2 and texinfo-4.

This patch differs slightly from the one in portage regarding handling of libraries but my ebuild has use flags. I'm not sure why it was modified by devs before including in the tree. The corresponding ebuild is in the next attachment.
Comment 8 Konstantin Münning 2015-03-27 20:05:54 UTC
Created attachment 399898 [details]
hp2xx-3.4.4-r3.ebuild

Here the ebuild corresponding to the patch above.
Comment 9 Ian Delaney (RETIRED) gentoo-dev 2015-03-29 13:39:49 UTC
(In reply to Konstantin Münning from comment #8)
> Created attachment 399898 [details]
> hp2xx-3.4.4-r3.ebuild
> 
> Here the ebuild corresponding to the patch above.

I cannot figure why you have gone to -r3. The revbump will be named
hp2xx-3.4.4-r1.ebuild.  I have merely extracted the hunk from your combined patch and added it since they are 2 separate issues.  The  hp2xx-3.4.4-r3.patch could / should have been entitled hp2xx-3.4.4-r1.ebuild. 
Similarly I don't know why hp2xx-3.4.4-r1.patch was named with a -r1 for an ebuild hp2xx-3.4.4.ebuild.  I have decided to name the new patch hp2xx-3.4.4-docbuild.patch. Nomenclature is not totally set in stone.  The ebuild and patch yield an effective build and install.  Thanks to Martin Kroeker .

----------------------------------------------
makeinfo hp2xx.texinfo
cp hp2xx.info /mnt/gen2/TmpDir/portage/media-gfx/hp2xx-3.4.4-r1/image//usr/share/info
chmod 644 /mnt/gen2/TmpDir/portage/media-gfx/hp2xx-3.4.4-r1/image//usr/share/info/hp2xx.info
cp ../doc/hp2xx.1 /mnt/gen2/TmpDir/portage/media-gfx/hp2xx-3.4.4-r1/image//usr/share/man/man1
chmod 644 /mnt/gen2/TmpDir/portage/media-gfx/hp2xx-3.4.4-r1/image//usr/share/man/man1/hp2xx.1
make[1]: Leaving directory '/mnt/gen2/TmpDir/portage/media-gfx/hp2xx-3.4.4-r1/work/hp2xx-3.4.4/sources'
>>> Completed installing hp2xx-3.4.4-r1 into /mnt/gen2/TmpDir/portage/media-gfx/hp2xx-3.4.4-r1/image/

strip: x86_64-pc-linux-gnu-strip --strip-unneeded -R .comment -R .GCC.command.line -R .note.gnu.gold-version
   usr/bin/hp2xx
ecompressdir: bzip2 -9 /usr/share/info
ecompressdir: bzip2 -9 /usr/share/man

---------------------------------------------------------------

*hp2xx-3.4.4-r1 (29 Mar 2015)

  29 Mar 2015; Ian Delaney <idella4@gentoo.org>
  +files/hp2xx-3.4.4-docbuild.patch, +hp2xx-3.4.4-r1.ebuild:
  revbump; add patch and ebuild prepared by maintainer with assist from
  package's author, all found in bug #529800, fixes said bug
Comment 10 Konstantin Münning 2015-03-29 19:16:10 UTC
(In reply to Ian Delaney from comment #9)

> I cannot figure why you have gone to -r3. The revbump will be named

Because it's already the third revision of the original ebuild. Please see bugs #58091 and #408307 for -r1 and -r2. So -r3 was next in line ;-). I didn't took portage's counting and continued mine as the ebuild that got into portage missed some of the features.

It's fine for me if you rename it as you think it fits better. Thank you.
Comment 11 Ian Delaney (RETIRED) gentoo-dev 2015-03-30 01:03:01 UTC
(In reply to Konstantin Münning from comment #10)
> Because it's already the third revision of the original ebuild. Please see
> bugs #58091 and #408307 for -r1 and -r2. So -r3 was next in line ;-). I
> didn't took portage's counting and continued mine as the ebuild that got
> into portage missed some of the features.
> 
> It's fine for me if you rename it as you think it fits better. Thank you.

That's fine.  #58091 only has 5 digits. grief. As you can tell I had no knowledge of these bugs and the matching revbumps.  In that sense I was blind sided.  It's trivial. These 2 bugs can be now closed?
Comment 12 Konstantin Münning 2015-04-09 16:56:52 UTC
(In reply to Ian Delaney from comment #11)

> That's fine.  #58091 only has 5 digits. grief. As you can tell I had no
> knowledge of these bugs and the matching revbumps.  In that sense I was
> blind sided.  It's trivial. These 2 bugs can be now closed?

These bugs have already been closed :-).
Comment 13 Konstantin Münning 2017-04-23 09:40:38 UTC
Still not in tree.
Comment 14 Jonas Stein gentoo-dev 2017-12-19 01:35:00 UTC
just made a minor fix in hp2xx and now found this ticket.
It got lost because it was still assigned to you and not assigned to someone to look at the patch like proxy. 

You can ping us on IRC next time when it gets lost.


Thank you for your contribution. I had a short look on the ebuild. 
Here a few ideas:

* Please test the ebuild with repoman full -x there are severe problems
* We always try to use the latest EAPI, please bump to EAPI=6
* We usually sort the KEYWORDS as ekeywords does. This makes comparison between packages easier. Simply run ekeywords on the ebuild to let it sort.
(I did that for you)

* Please be more specific in the DESCRIPTION. The objective description may be <=80 characters long.
(I did that for you)

* Please check, if we can remove hp2xx-3.4.4.ebuild from the tree.
* If you are familiar with git/github, you can prepare a pullrequest there. Our bots can test your contribution there already.

Sorry, that it got lost for so long. If you have any questions, please join us on IRC. https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers

We also have a lot new documentation for our proxied maintainers on 
https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers